org.apache.ignite.internal.processors.cache.persistence.tree.reuse

## Interface ReuseBag

All Known Implementing Classes:
  BPlusTree.Remove, LongListReuseBag

    public interface ReuseBag

Reuse bag for free index pages.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addFreePage(long pageId)`
`boolean` `isEmpty()`
`long` `pollFreePage()`

### Method Detail

#### addFreePage

    void addFreePage(long pageId)

Parameters:
  `pageId` - Free page ID for reuse.

#### pollFreePage

    long pollFreePage()

Returns:
  Free page ID for reuse or `0` if empty.

#### isEmpty

    boolean isEmpty()

Returns:
  `true` if no contained page IDs for reuse.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022